Bug 208842 - when internet connection is down, yum-updatesd binds yum
when internet connection is down, yum-updatesd binds yum
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-10-02 08:26 EDT by Bowe Strickland
Modified: 2014-01-21 17:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-25 14:23:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bowe Strickland 2006-10-02 08:26:41 EDT
on freshly booted machine with a bad internet connection, yum-updatesd hangs
(unbeknownst to clueless users like me).  when running yum from the commandline,
user sees "another copy of yum is running", making true nature of problem hard
to diagnose.

would rather see a quicker timeout on yum-updatesd, so that yum, when run from
the command line, reports "cannot contact repository... " or some such more 
meaningful diagnostic.

[root@rose ~]# cat /etc/redhat-release 
Fedora Core release 5.92 (FC6 Test3)
[root@rose ~]# rpm -qa | grep yum
Comment 1 Jeremy Katz 2006-10-02 12:02:00 EDT
Are things better if you update to yum-2.9.8-1?
Comment 2 Matthew Miller 2007-04-06 12:14:54 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 3 Jeremy Katz 2007-04-25 14:23:36 EDT
Closing due to inactivity.  Please reopen if you have further data to add to
this report.

Note You need to log in before you can comment on or make changes to this bug.